/* ----- Animations ----- */
@keyframes spin {
  100% {
    transform: rotate(360deg);
  }
}
/* ----- Fonts ----- */
/* ----- Mixins ----- */
.flow {
  --color: var(--color-primary);
  --color-dots: var(--color-primary-hover);
  --opacity: 0.5;
  --icon-size: clamp(40px, 10cqw, 60px);
  --steps-gap: var(--gap);
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: calc(var(--gap) * 2);
  margin-top: var(--gap);
}
.flow__steps {
  display: flex;
  flex-direction: column;
  gap: var(--steps-gap);
  margin: 0 auto;
}
.flow__step {
  display: flex;
  align-items: center;
  gap: calc(var(--gap) * 1);
  cursor: pointer;
  opacity: var(--opacity);
  transition: all 0.25s ease-in-out;
}
.flow__step:not(:first-child) .flow__step-dot-wrapper::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 2px;
  transform: translate(-50%, -100%);
  height: calc(var(--steps-gap) + var(--icon-size) - 0.55em);
  background-color: var(--color-dots);
  z-index: -1;
}
.flow__step:hover {
  --color: var(--color-primary-hover);
  --opacity: 1;
}
.flow__step.hover {
  --color: var(--color-primary-hover);
  --opacity: 1;
}
.flow__step.active {
  --opacity: 1;
}
.flow__step.active .flow__step-dot::before {
  transform: scale(0.6);
  background-color: var(--color-primary);
}
.flow__step.active .flow__step-dot::after {
  transform: scale(1.3);
  opacity: 1;
  border-color: var(--color-primary);
}
.flow__step-icon {
  width: var(--icon-size);
  aspect-ratio: 1/1;
  flex-shrink: 0;
}
.flow__step-title {
  font-size: var(--font-size-18);
  font-weight: var(--semibold);
  text-transform: uppercase;
  letter-spacing: var(--letter-spacing);
  color: var(--color);
  transition: all 0.25s ease-in-out;
}
.flow__step-text-mobile {
  flex-basis: 100%;
  display: none;
}
.flow__step-dot {
  width: 1.1em;
  height: 1.1em;
  cursor: pointer;
  transition: all 0.25s ease-in-out;
  z-index: 2;
  background-color: var(--color-white);
  flex-shrink: 0;
}
.flow__step-dot::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background-color: var(--color-primary-hover);
  border-radius: 50%;
  transition: all 0.25s ease-in-out;
  z-index: 3;
}
.flow__step-dot::after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  border: 0.15em solid var(--color-primary-hover);
  border-radius: 50%;
  transition: all 0.25s ease-in-out;
  opacity: 0;
  z-index: 3;
}
.flow__steps-content-wrapper {
  transition: all 0.25s ease-in-out;
}
.flow__step-content {
  --icon-color-primary: var(--color-white);
  background-color: var(--color-primary);
  border-radius: var(--border-radius);
  padding: clamp(20px, 6cqw, 2em);
  color: var(--color-white);
  display: flex;
  gap: var(--gap);
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
  visibility: hidden;
  width: 100%;
  transform: translate(-0.5em, 0);
  transition: all 0.25s ease-in-out;
}
.flow__step-content.active {
  opacity: 1;
  visibility: visible;
  transform: translate(0, 0);
}
.flow__step-content-icon {
  width: var(--icon-size);
  aspect-ratio: 1/1;
  flex-shrink: 0;
}
.flow__step-content-icon::after {
  content: "";
  position: absolute;
  left: 0.5em;
  top: 0.5em;
  width: 100%;
  aspect-ratio: 1/1;
  border-radius: 50%;
  background-color: var(--color-background);
  z-index: 1;
  opacity: 0.2;
  transition: all 0.25s ease-in-out;
}
.flow__step-content-title {
  font-size: var(--font-size-24);
  font-weight: var(--semibold);
  letter-spacing: var(--letter-spacing);
  margin-bottom: 0.25em;
}
.flow__step-content-text {
  font-size: var(--font-size-16);
  margin: 0;
  opacity: 0.75;
}
@media screen and (max-width: 768px) {
  .flow {
    grid-template-columns: 1fr;
    gap: var(--gap);
  }
  .flow__steps {
    width: 100%;
  }
  .flow__steps-content-wrapper {
    display: none !important;
  }
  .flow__step {
    align-items: flex-start;
    opacity: 1;
  }
  .flow__step-dot-wrapper {
    display: none;
  }
  .flow__step-text-mobile {
    display: block;
  }
  .flow__step:not(:last-child) .flow__step-dot-wrapper::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 2px;
    transform: translate(-50%, 0);
    height: 50%;
    background-color: var(--color-dots);
    z-index: -1;
  }
}
